Bug 96772 - [GTK] Don't use the C API internally in WebKitCookieManager
Summary: [GTK] Don't use the C API internally in WebKitCookieManager
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 96770
Blocks: 96766 96773
  Show dependency treegraph
 
Reported: 2012-09-14 06:52 PDT by Carlos Garcia Campos
Modified: 2012-10-17 08:56 PDT (History)
1 user (show)

See Also:


Attachments
Patch (9.78 KB, patch)
2012-09-14 06:54 PDT, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2012-09-14 06:52:36 PDT
Use the C++ classes instead.
Comment 1 Carlos Garcia Campos 2012-09-14 06:54:20 PDT
Created attachment 164132 [details]
Patch
Comment 2 Mario Sanchez Prada 2012-10-03 01:34:49 PDT
Comment on attachment 164132 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=164132&action=review

Looks good to me

> Source/WebKit2/UIProcess/API/gtk/WebKitCookieManager.cpp:37
> +    RefPtr<WebCookieManagerProxy> webCookieManager;

As I commented in another patch, I would probably not use the "web" prefix here. Just cookieManager would be enough, IMO
Comment 3 Carlos Garcia Campos 2012-10-03 01:38:42 PDT
(In reply to comment #2)
> (From update of attachment 164132 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=164132&action=review
> 
> Looks good to me
> 
> > Source/WebKit2/UIProcess/API/gtk/WebKitCookieManager.cpp:37
> > +    RefPtr<WebCookieManagerProxy> webCookieManager;
> 
> As I commented in another patch, I would probably not use the "web" prefix here. Just cookieManager would be enough, IMO

Class name is WebCookieManagerProxy, I don't see the problem of suing the web prefix
Comment 4 Carlos Garcia Campos 2012-10-17 08:56:40 PDT
Committed r131607: <http://trac.webkit.org/changeset/131607>